Last fixes for wxMotif and configure

git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@994 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
This commit is contained in:
Robert Roebling 1998-11-12 18:18:29 +00:00
parent 7615330240
commit 892dbe9961
3 changed files with 59 additions and 20 deletions

67
configure vendored
View File

@ -6192,6 +6192,32 @@ for ac_dir in $SEARCH_LIB;
if test "$ac_find_libraries" != "" ; then if test "$ac_find_libraries" != "" ; then
echo "$CHECK_LIB" | grep "\-L$ac_find_libraries" > /dev/null
result=$?
if test $result = 0; then
ac_path_to_link=""
else
ac_path_to_link="-L$ac_find_libraries"
fi
CHECK_LINK="$CHECK_LIB $ac_path_to_link"
echo "$ac_t""found at $ac_find_libraries" 1>&6
echo $ac_n "checking for Xpm library""... $ac_c" 1>&6
echo "configure:6207: checking for Xpm library" >&5
ac_find_libraries=
for ac_dir in $SEARCH_LIB;
do
for ac_extension in a so sl; do
if test -f "$ac_dir/libXpm.$ac_extension"; then
ac_find_libraries=$ac_dir
break 2
fi
done
done
if test "$ac_find_libraries" != "" ; then
echo "$CHECK_LIB" | grep "\-L$ac_find_libraries" > /dev/null echo "$CHECK_LIB" | grep "\-L$ac_find_libraries" > /dev/null
result=$? result=$?
if test $result = 0; then if test $result = 0; then
@ -6211,7 +6237,10 @@ for ac_dir in $SEARCH_LIB;
else else
{ echo "configure: error: no" 1>&2; exit 1; } { echo "configure: error: no" 1>&2; exit 1; }
fi fi
GUI_TK_LINK="-lXt -lX11 -lXm -lm" else
{ echo "configure: error: no" 1>&2; exit 1; }
fi
GUI_TK_LINK="-lXt -lXmu -lXpm -lX11 -lXm -lm"
GUI_TK_LINK="$CHECK_LINK $GUI_TK_LINK" GUI_TK_LINK="$CHECK_LINK $GUI_TK_LINK"
TOOLKIT=MOTIF TOOLKIT=MOTIF
TOOLKIT_DEF=__WXMOTIF__ TOOLKIT_DEF=__WXMOTIF__
@ -6616,7 +6645,7 @@ fi
echo $ac_n "checking for main in -ldl""... $ac_c" 1>&6 echo $ac_n "checking for main in -ldl""... $ac_c" 1>&6
echo "configure:6620: checking for main in -ldl" >&5 echo "configure:6649: checking for main in -ldl" >&5
ac_lib_var=`echo dl'_'main | sed 'y%./+-%__p_%'` ac_lib_var=`echo dl'_'main | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6 echo $ac_n "(cached) $ac_c" 1>&6
@ -6624,14 +6653,14 @@ else
ac_save_LIBS="$LIBS" ac_save_LIBS="$LIBS"
LIBS="-ldl $LIBS" LIBS="-ldl $LIBS"
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 6628 "configure" #line 6657 "configure"
#include "confdefs.h" #include "confdefs.h"
int main() { int main() {
main() main()
; return 0; } ; return 0; }
EOF EOF
if { (eval echo configure:6635: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then if { (eval echo configure:6664: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest* rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes" eval "ac_cv_lib_$ac_lib_var=yes"
else else
@ -6661,7 +6690,7 @@ UNIX_THREAD="gtk/threadno.cpp"
echo $ac_n "checking "for threads"""... $ac_c" 1>&6 echo $ac_n "checking "for threads"""... $ac_c" 1>&6
echo "configure:6665: checking "for threads"" >&5 echo "configure:6694: checking "for threads"" >&5
# Check whether --with-threads or --without-threads was given. # Check whether --with-threads or --without-threads was given.
if test "${with_threads+set}" = set; then if test "${with_threads+set}" = set; then
withval="$with_threads" withval="$with_threads"
@ -6695,7 +6724,7 @@ if test "$wxUSE_THREADS" = "1"; then
echo $ac_n "checking for pthread_create in -lpthread-0.7""... $ac_c" 1>&6 echo $ac_n "checking for pthread_create in -lpthread-0.7""... $ac_c" 1>&6
echo "configure:6699: checking for pthread_create in -lpthread-0.7" >&5 echo "configure:6728: checking for pthread_create in -lpthread-0.7" >&5
ac_lib_var=`echo pthread-0.7'_'pthread_create | sed 'y%./+-%__p_%'` ac_lib_var=`echo pthread-0.7'_'pthread_create | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6 echo $ac_n "(cached) $ac_c" 1>&6
@ -6703,7 +6732,7 @@ else
ac_save_LIBS="$LIBS" ac_save_LIBS="$LIBS"
LIBS="-lpthread-0.7 $LIBS" LIBS="-lpthread-0.7 $LIBS"
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 6707 "configure" #line 6736 "configure"
#include "confdefs.h" #include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */ /* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2 /* We use char because int might match the return type of a gcc2
@ -6714,7 +6743,7 @@ int main() {
pthread_create() pthread_create()
; return 0; } ; return 0; }
EOF EOF
if { (eval echo configure:6718: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then if { (eval echo configure:6747: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest* rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes" eval "ac_cv_lib_$ac_lib_var=yes"
else else
@ -6738,17 +6767,17 @@ else
ac_safe=`echo "sys/prctl.h" | sed 'y%./+-%__p_%'` ac_safe=`echo "sys/prctl.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for sys/prctl.h""... $ac_c" 1>&6 echo $ac_n "checking for sys/prctl.h""... $ac_c" 1>&6
echo "configure:6742: checking for sys/prctl.h" >&5 echo "configure:6771: checking for sys/prctl.h" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6 echo $ac_n "(cached) $ac_c" 1>&6
else else
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 6747 "configure" #line 6776 "configure"
#include "confdefs.h" #include "confdefs.h"
#include <sys/prctl.h> #include <sys/prctl.h>
EOF EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out" ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:6752: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; } { (eval echo configure:6781: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out` ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then if test -z "$ac_err"; then
rm -rf conftest* rm -rf conftest*
@ -6774,7 +6803,7 @@ fi
echo $ac_n "checking for pthread_setcanceltype in -lpthread""... $ac_c" 1>&6 echo $ac_n "checking for pthread_setcanceltype in -lpthread""... $ac_c" 1>&6
echo "configure:6778: checking for pthread_setcanceltype in -lpthread" >&5 echo "configure:6807: checking for pthread_setcanceltype in -lpthread" >&5
ac_lib_var=`echo pthread'_'pthread_setcanceltype | sed 'y%./+-%__p_%'` ac_lib_var=`echo pthread'_'pthread_setcanceltype | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6 echo $ac_n "(cached) $ac_c" 1>&6
@ -6782,7 +6811,7 @@ else
ac_save_LIBS="$LIBS" ac_save_LIBS="$LIBS"
LIBS="-lpthread $LIBS" LIBS="-lpthread $LIBS"
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 6786 "configure" #line 6815 "configure"
#include "confdefs.h" #include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */ /* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2 /* We use char because int might match the return type of a gcc2
@ -6793,7 +6822,7 @@ int main() {
pthread_setcanceltype() pthread_setcanceltype()
; return 0; } ; return 0; }
EOF EOF
if { (eval echo configure:6797: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then if { (eval echo configure:6826: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest* rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes" eval "ac_cv_lib_$ac_lib_var=yes"
else else
@ -6820,7 +6849,7 @@ fi
fi fi
echo $ac_n "checking for pthread_setcanceltype in -lpthreads""... $ac_c" 1>&6 echo $ac_n "checking for pthread_setcanceltype in -lpthreads""... $ac_c" 1>&6
echo "configure:6824: checking for pthread_setcanceltype in -lpthreads" >&5 echo "configure:6853: checking for pthread_setcanceltype in -lpthreads" >&5
ac_lib_var=`echo pthreads'_'pthread_setcanceltype | sed 'y%./+-%__p_%'` ac_lib_var=`echo pthreads'_'pthread_setcanceltype | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6 echo $ac_n "(cached) $ac_c" 1>&6
@ -6828,7 +6857,7 @@ else
ac_save_LIBS="$LIBS" ac_save_LIBS="$LIBS"
LIBS="-lpthreads $LIBS" LIBS="-lpthreads $LIBS"
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 6832 "configure" #line 6861 "configure"
#include "confdefs.h" #include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */ /* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2 /* We use char because int might match the return type of a gcc2
@ -6839,7 +6868,7 @@ int main() {
pthread_setcanceltype() pthread_setcanceltype()
; return 0; } ; return 0; }
EOF EOF
if { (eval echo configure:6843: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then if { (eval echo configure:6872: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest* rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes" eval "ac_cv_lib_$ac_lib_var=yes"
else else
@ -6887,7 +6916,7 @@ OPENGL_LINK=
if test "$wxUSE_OPENGL" = 1; then if test "$wxUSE_OPENGL" = 1; then
echo $ac_n "checking for OpenGL includes""... $ac_c" 1>&6 echo $ac_n "checking for OpenGL includes""... $ac_c" 1>&6
echo "configure:6891: checking for OpenGL includes" >&5 echo "configure:6920: checking for OpenGL includes" >&5
ac_find_includes= ac_find_includes=
for ac_dir in $SEARCH_INCLUDE; for ac_dir in $SEARCH_INCLUDE;
@ -6902,7 +6931,7 @@ for ac_dir in $SEARCH_INCLUDE;
OPENGL_INCLUDE="-I$ac_find_includes" OPENGL_INCLUDE="-I$ac_find_includes"
echo "$ac_t""found $ac_find_includes" 1>&6 echo "$ac_t""found $ac_find_includes" 1>&6
echo $ac_n "checking for OpenGL library""... $ac_c" 1>&6 echo $ac_n "checking for OpenGL library""... $ac_c" 1>&6
echo "configure:6906: checking for OpenGL library" >&5 echo "configure:6935: checking for OpenGL library" >&5
ac_find_libraries= ac_find_libraries=
for ac_dir in $SEARCH_LIB; for ac_dir in $SEARCH_LIB;

View File

@ -1054,6 +1054,12 @@ if test "$wxUSE_MOTIF" = 1; then
AC_MSG_RESULT(found at $ac_find_libraries) AC_MSG_RESULT(found at $ac_find_libraries)
AC_MSG_CHECKING(for Xt library) AC_MSG_CHECKING(for Xt library)
AC_PATH_FIND_LIBRARIES($SEARCH_LIB,Xt) AC_PATH_FIND_LIBRARIES($SEARCH_LIB,Xt)
if test "$ac_find_libraries" != "" ; then
AC_LINK_PATH_EXIST($ac_find_libraries,$CHECK_LIB)
CHECK_LINK="$CHECK_LIB $ac_path_to_link"
AC_MSG_RESULT(found at $ac_find_libraries)
AC_MSG_CHECKING(for Xpm library)
AC_PATH_FIND_LIBRARIES($SEARCH_LIB,Xpm)
if test "$ac_find_libraries" != "" ; then if test "$ac_find_libraries" != "" ; then
AC_LINK_PATH_EXIST($ac_find_libraries,$CHECK_LIB) AC_LINK_PATH_EXIST($ac_find_libraries,$CHECK_LIB)
CHECK_LINK="$CHECK_LIB $ac_path_to_link" CHECK_LINK="$CHECK_LIB $ac_path_to_link"
@ -1067,7 +1073,10 @@ if test "$wxUSE_MOTIF" = 1; then
else else
AC_MSG_ERROR(no) AC_MSG_ERROR(no)
fi fi
GUI_TK_LINK="-lXt -lX11 -lXm -lm" else
AC_MSG_ERROR(no)
fi
GUI_TK_LINK="-lXt -lXmu -lXpm -lX11 -lXm -lm"
GUI_TK_LINK="$CHECK_LINK $GUI_TK_LINK" GUI_TK_LINK="$CHECK_LINK $GUI_TK_LINK"
TOOLKIT=MOTIF TOOLKIT=MOTIF
TOOLKIT_DEF=__WXMOTIF__ TOOLKIT_DEF=__WXMOTIF__

View File

@ -52,6 +52,7 @@ all::
@if test ! -d gtk; then mkdir gtk; fi @if test ! -d gtk; then mkdir gtk; fi
@if test ! -d qt; then mkdir qt; fi @if test ! -d qt; then mkdir qt; fi
@if test ! -d motif; then mkdir motif; fi @if test ! -d motif; then mkdir motif; fi
@if test ! -d motif/xmcombo; then mkdir motif/xmcombo; fi
@if test ! -d common; then mkdir common; fi @if test ! -d common; then mkdir common; fi
@if test ! -d generic; then mkdir generic; fi @if test ! -d generic; then mkdir generic; fi
@if test ! -d png; then mkdir png; fi @if test ! -d png; then mkdir png; fi